#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=games

midfiles := $(wildcard resources/music/music*.mid)
oggfiles := $(midfiles:.mid=.ogg)

override_dh_clean-indep:
	dh_clean -i
	# These are shipped in the source archive, let's rebuild them
	rm -f $(oggfiles)

override_dh_auto_build-indep: $(oggfiles)
	dh_auto_build -i

resources/music/music%.ogg: resources/music/music%.mid
	# Encode to ogg with "Quality=0" ~ 64 kB
	timidity -c /etc/timidity/timgm6mb.cfg -Ow $< -o - | oggenc -Q -q0 --serial 1 -o $@ -
